Package groovy.lang

# Class GroovyObjectSupport

java.lang.Object
groovy.lang.GroovyObjectSupport

All Implemented Interfaces:
  `GroovyObject`

Direct Known Subclasses:
  `BatchingStatementWrapper`, `Binding`, `BindingProxy`, `BindingProxy`, `Builder`, `Builder.Built`, `BuilderSupport`, `Closure`, `ConfigObject`, `Expando`, `ExpandoMetaClass.ExpandoMetaConstructor`, `ExpandoMetaClass.ExpandoMetaProperty`, `GPathResult`, `GPathResult`, `GroovyMBean`, `GroovyMBean`, `GroovyResultSetExtension`, `GroovyRowResult`, `GroovyShell`, `GString`, `JsonBuilder`, `JsonDelegate`, `MessageSource`, `NullObject`, `Proxy`, `Reference`, `ResultSetMetaDataWrapper`, `Script`, `StreamingJsonBuilder`, `StreamingJsonBuilder.StreamingJsonDelegate`, `YamlBuilder`

    public abstract class GroovyObjectSupport
    extends java.lang.Object
    implements GroovyObject

Base class for Java objects wishing to be Groovy objects.

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `GroovyObjectSupport()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `MetaClass` | `getMetaClass()` | Returns the metaclass for a given class.
  `void` | `setMetaClass​(MetaClass metaClass)` | Allows the MetaClass to be replaced with a derived implementation.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface groovy.lang.GroovyObject

  `getProperty, invokeMethod, setProperty`

- ## Constructor Details

  - ### GroovyObjectSupport

    public GroovyObjectSupport()

- ## Method Details

  - ### getMetaClass

    public MetaClass getMetaClass()
    Description copied from interface: `GroovyObject`
    Returns the metaclass for a given class.
    Specified by:
      `getMetaClass` in interface `GroovyObject`
    Returns:
      the metaClass of this instance

  - ### setMetaClass

    public void setMetaClass​(MetaClass metaClass)
    Description copied from interface: `GroovyObject`
    Allows the MetaClass to be replaced with a derived implementation.
    Specified by:
      `setMetaClass` in interface `GroovyObject`
    Parameters:
      `metaClass` - the new metaclass